org.hibernate.search.query.dsl.impl

## Class FieldContext

- java.lang.Object
- - org.hibernate.search.query.dsl.impl.FieldContext

-     public class FieldContext
      extends Object

  Author:
    Emmanuel Bernard

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldContext(String field, QueryBuildingContext queryContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `applyAnalyzer()` Whether to analyze the given field value or not.
    `String` | `getField()`
    `FieldBridge` | `getFieldBridge()`
    `org.hibernate.search.query.dsl.impl.QueryCustomizer` | `getFieldCustomizer()`
    `boolean` | `isIgnoreFieldBridge()`
    `String` | `objectToString(DocumentBuilderIndexedEntity documentBuilder, Object value, ConversionContext conversionContext)`
    `void` | `setFieldBridge(FieldBridge fieldBridge)`
    `void` | `setIgnoreAnalyzer(boolean ignoreAnalyzer)`
    `void` | `setIgnoreFieldBridge(boolean ignoreFieldBridge)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldContext

          public FieldContext(String field,
                              QueryBuildingContext queryContext)

  - ### Method Detail

    - #### getField

          public String getField()

    - #### applyAnalyzer

          public boolean applyAnalyzer()

      Whether to analyze the given field value or not.
      Returns:
        `true` if the field must be analyzed

    - #### setIgnoreAnalyzer

          public void setIgnoreAnalyzer(boolean ignoreAnalyzer)

    - #### getFieldCustomizer

          public org.hibernate.search.query.dsl.impl.QueryCustomizer getFieldCustomizer()

    - #### isIgnoreFieldBridge

          public boolean isIgnoreFieldBridge()

    - #### setIgnoreFieldBridge

          public void setIgnoreFieldBridge(boolean ignoreFieldBridge)

    - #### setFieldBridge

          public void setFieldBridge(FieldBridge fieldBridge)

    - #### getFieldBridge

          public FieldBridge getFieldBridge()

    - #### objectToString

          public String objectToString(DocumentBuilderIndexedEntity documentBuilder,
                                       Object value,
                                       ConversionContext conversionContext)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved